Public Member Functions | Public Attributes | Friends | List of all members
MsWrdTextInternal::Field Struct Reference

Internal: the field of MsWrdParser. More...

## Public Member Functions
| Field ()
| constructor More...

## Public Attributes
std::string | m_text
| the text More...
int | m_id
| the id More...
std::string | m_error
| the errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<< More...

## Detailed Description

Internal: the field of MsWrdParser.

## Constructor & Destructor Documentation

## ◆ Field()

MsWrdTextInternal::Field::Field | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Field const & | field
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_error

std::string MsWrdTextInternal::Field::m_error

the errors

Referenced by MsWrdText::readFields().

## ◆ m_id

int MsWrdTextInternal::Field::m_id

the id

Referenced by MsWrdText::readFields().

## ◆ m_text

std::string MsWrdTextInternal::Field::m_text

the text

Referenced by MsWrdText::readFields().

The documentation for this struct was generated from the following file:

- MsWrdText.cxx